Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/TOP_SRC/TRP/trdmxl_trc.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/TOP_SRC/TRP/trdmxl_trc.F90	(revision 7199)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/TOP_SRC/TRP/trdmxl_trc.F90	(revision 7200)
@@ -429,5 +429,5 @@
 
 !!gm Test removed, nothing specific to a configuration should survive out of usrdef modules
-!!gm      IF ( cp_cfg .NE. 'gyre' ) THEN            ! other than GYRE configuration
+!!gm      IF ( cn_cfg .NE. 'gyre' ) THEN            ! other than GYRE configuration
 !!gm      ! GYRE : for diagnostic fields, are needed if cyclic B.C. are present, but not for purely MPI comm. 
 !!gm      ! therefore we do not call lbc_lnk in GYRE config. (closed basin, no cyclic B.C.)
@@ -569,5 +569,5 @@
                
          !-- Lateral boundary conditions
-               IF ( cp_cfg .NE. 'gyre' ) THEN
+               IF ( cn_cfg .NE. 'gyre' ) THEN
                   CALL lbc_lnk( ztmltot(:,:,jn) , 'T', 1. )   ;   CALL lbc_lnk( ztmlres(:,:,jn) , 'T', 1. )
                   CALL lbc_lnk( ztmlatf(:,:,jn) , 'T', 1. )   ;   CALL lbc_lnk( ztmlrad(:,:,jn) , 'T', 1. )
@@ -620,5 +620,5 @@
 
          !-- Lateral boundary conditions 
-               IF ( cp_cfg .NE. 'gyre' ) THEN            ! other than GYRE configuration    
+               IF ( cn_cfg .NE. 'gyre' ) THEN            ! other than GYRE configuration    
                   CALL lbc_lnk( ztmltot2(:,:,jn), 'T', 1. )
                   CALL lbc_lnk( ztmlres2(:,:,jn), 'T', 1. )
@@ -992,9 +992,9 @@
 
          !-- Lateral boundary conditions
-         IF ( cp_cfg .NE. 'gyre' ) THEN            ! other than GYRE configuration 
+         IF ( cn_cfg .NE. 'gyre' ) THEN            ! other than GYRE configuration 
             ! ES_B27_CD_WARN : lbc inutile GYRE, cf. + haut
             DO jn = 1, jpdiabio
               CALL lbc_lnk( ztmltrdbio2(:,:,jn), 'T', 1. )
-            ENDDO
+            END DO
          ENDIF
 
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/namelist_cfg
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/namelist_cfg	(revision 7199)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/namelist_cfg	(revision 7200)
@@ -15,5 +15,5 @@
 !-----------------------------------------------------------------------
    !
-   ln_e2_dep   = .true.    ! =T : e3=dk[depth] in discret sens. 
+   ln_e3_dep   = .true.    ! =T : e3=dk[depth] in discret sens. 
    !                       !      ===>>> will become the only possibility in v4.0
    !                       ! =F : e3 analytical derivative of depth function
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/namelist_ref
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/namelist_ref	(revision 7199)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/namelist_ref	(revision 7200)
@@ -74,5 +74,5 @@
 !-----------------------------------------------------------------------
    !
-   ln_e2_dep   = .true.    ! =T : e3=dk[depth] in discret sens. 
+   ln_e3_dep   = .true.    ! =T : e3=dk[depth] in discret sens. 
    !                       !      ===>>> will become the only possibility in v4.0
    !                       ! =F : e3 analytical derivative of depth function
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/src/domain.f90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/src/domain.f90	(revision 7199)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/src/domain.f90	(revision 7200)
@@ -379,8 +379,8 @@
       !!              ocean configuration.
       !!
-      !! ** output file :   domain_cfg.nc : domain size, characteristics,
-      !horizontal mesh,
-      !!                              Coriolis parameter, depth and vertical
-      !scale factors
+      !! ** output file :   domain_cfg.nc : domain size, characteristics,horizontal mesh,
+      !!                              Coriolis parameter, and vertical scale factors
+      !!                              NB: also contains ORCA family information (if cp_cfg = "ORCA")
+      !!                              and depths (ln_e3_dep=F) 
       !!----------------------------------------------------------------------
       INTEGER           ::   ji, jj, jk   ! dummy loop indices
@@ -402,4 +402,10 @@
       CALL iom_open( TRIM(clnam), inum, ldwrt = .TRUE., kiolib = jprstlib )
       
+      !
+      !                             !==  ORCA family specificities  ==!
+      IF( cp_cfg == "ORCA" ) THEN
+         CALL iom_rstput( 0, 0, inum, 'ORCA'      , 1._wp            , ktype = jp_i4 )
+         CALL iom_rstput( 0, 0, inum, 'ORCA_index', REAL( jp_cfg, wp), ktype = jp_i4 )         
+      ENDIF
       !                             !==  global domain size  ==!
       !
@@ -456,11 +462,4 @@
       CALL iom_rstput( 0, 0, inum, 'e3w_1d'  , e3w_1d  , ktype = jp_r8 )
       !
-      IF(.NOT.ln_e2_dep ) THEN                                             !  depth (t- & w-points)
-         CALL iom_rstput( 0, 0, inum, 'gdept_1d', gdept_1d, ktype = jp_r8 )   ! required only with  
-         CALL iom_rstput( 0, 0, inum, 'gdepw_1d', gdepw_1d, ktype = jp_r8 )   ! the old e3. definition
-         CALL iom_rstput( 0, 0, inum, 'gdept_0' , gdept_0 , ktype = jp_r8 )
-         CALL iom_rstput( 0, 0, inum, 'gdepw_0' , gdepw_0 , ktype = jp_r8 )
-      ENDIF
-      !
       CALL iom_rstput( 0, 0, inum, 'e3t_0'   , e3t_0   , ktype = jp_r8 )   !  vertical scale factors (e
       CALL iom_rstput( 0, 0, inum, 'e3u_0'   , e3u_0   , ktype = jp_r8 )
@@ -470,4 +469,11 @@
       CALL iom_rstput( 0, 0, inum, 'e3uw_0'  , e3uw_0  , ktype = jp_r8 )
       CALL iom_rstput( 0, 0, inum, 'e3vw_0'  , e3vw_0  , ktype = jp_r8 )
+      !
+      IF(.NOT.ln_e3_dep ) THEN                                             !  depth (t- & w-points)
+         CALL iom_rstput( 0, 0, inum, 'gdept_1d', gdept_1d, ktype = jp_r8 )   ! required only with  
+         CALL iom_rstput( 0, 0, inum, 'gdepw_1d', gdepw_1d, ktype = jp_r8 )   ! the old e3. definition
+         CALL iom_rstput( 0, 0, inum, 'gdept_0' , gdept_0 , ktype = jp_r8 )
+         CALL iom_rstput( 0, 0, inum, 'gdepw_0' , gdepw_0 , ktype = jp_r8 )
+      ENDIF
       !                                         
       !                             !==  ocean top and bottom level  ==!
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/src/domzgr.f90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/src/domzgr.f90	(revision 7199)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/src/domzgr.f90	(revision 7200)
@@ -314,5 +314,5 @@
       ENDIF
 
-      IF ( ln_isfcav .OR. ln_e2_dep ) THEN      ! e3. = dk[gdep]   
+      IF ( ln_isfcav .OR. ln_e3_dep ) THEN      ! e3. = dk[gdep]   
          !
 !==>>>   need to be like this to compute the pressure gradient with ISF. 
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/src/nemogcm.f90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/src/nemogcm.f90	(revision 7199)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/src/nemogcm.f90	(revision 7200)
@@ -131,5 +131,5 @@
          &             nn_isplt, nn_jsplt, nn_jctls, nn_jctle,   &
          &             nn_bench, nn_timing, nn_diacfl
-      NAMELIST/namcfg/ ln_e2_dep,                                &
+      NAMELIST/namcfg/ ln_e3_dep,                                &
          &             cp_cfg, cp_cfz, jp_cfg, jpidta, jpjdta, jpkdta, jpiglo, jpjglo, &
          &             jpizoom, jpjzoom, jperio, ln_use_jattr
@@ -288,5 +288,5 @@
          WRITE(numout,*) '~~~~~~~ '
          WRITE(numout,*) '   Namelist namcfg'
-         WRITE(numout,*) '      vertical scale factors =T: e3.=dk[depth]       ln_e2_dep = ', ln_e2_dep
+         WRITE(numout,*) '      vertical scale factors =T: e3.=dk[depth]       ln_e3_dep = ', ln_e3_dep
          WRITE(numout,*) '                             =F: old definition                 '
          WRITE(numout,*) '      configuration name                               cp_cfg  = ', TRIM(cp_cfg)
@@ -303,5 +303,5 @@
          WRITE(numout,*) '      use file attribute if exists as i/p j-start ln_use_jattr = ', ln_use_jattr
          !
-         IF(.NOT.ln_e2_dep ) THEN
+         IF(.NOT.ln_e3_dep ) THEN
             WRITE(numout,cform_war)
             WRITE(numout,*)
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/src/par_oce.f90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/src/par_oce.f90	(revision 7199)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/TOOLS/DOMAINcfg/src/par_oce.f90	(revision 7200)
@@ -29,5 +29,5 @@
    !!----------------------------------------------------------------------
    !
-   LOGICAL       ::   ln_e2_dep        ! e3. definition flag
+   LOGICAL       ::   ln_e3_dep        ! e3. definition flag
    !
    CHARACTER(lc) ::   cp_cfg           !: name of the configuration
